##
##  tsung.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2025 OpenPKG Project <http://openpkg.org/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         tsung
Summary:      Multi-Protocol Distributed Load Testing Tool
URL:          http://tsung.erlang-projects.org/
Vendor:       Nicolas Niclausse  et al.
Packager:     OpenPKG Project
Distribution: OpenPKG Community
Class:        EVAL
Group:        Networking
License:      GPL
Version:      1.8.0
Release:      20250211

#   list of sources
Source0:      http://tsung.erlang-projects.org/dist/tsung-%{version}.tar.gz

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101, erlang
PreReq:       OpenPKG, openpkg >= 20160101, erlang

%description
    Tsung is an open-source multi-protocol distributed load testing
    tool. It can be used to stress HTTP, WebDAV, SOAP, PostgreSQL,
    MySQL, LDAP and Jabber/XMPP servers. Tsung is a free software
    released under the GPLv2 license. The purpose of Tsung is to
    simulate users in order to test the scalability and performance of
    IP based client/server applications. You can use it to do load and
    stress testing of your servers. Many protocols have been implemented
    and tested, and it can be easily extended. It can be distributed
    on several client machines and is able to simulate hundreds of
    thousands of virtual users concurrently.

%track
    prog tsung = {
        version   = %{version}
        url       = http://tsung.erlang-projects.org/
        regex     = tsung-(__VER__)\.tar\.gz
    }

%prep
    %setup -q

%build
    CC="%{l_cc}" \
    CFLAGS="%{l_cflags -O}" \
    ./configure \
        --prefix=%{l_prefix}
    %{l_make} %{l_mflags -O}

%install
    %{l_make} %{l_mflags} install \
        prefix=$RPM_BUILD_ROOT%{l_prefix} \
        exec_prefix=$RPM_BUILD_ROOT%{l_prefix}
    rm -rf $RPM_BUILD_ROOT%{l_prefix}/share/doc
    mv  $RPM_BUILD_ROOT%{l_prefix}/share/man \
        $RPM_BUILD_ROOT%{l_prefix}/man
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean

